Fix for #12714: Test T9405 fails on Windows.
AbandonedPublic

Authored by RolandSenn on Jul 20 2018, 10:46 AM.

Details

Reviewers
Phyx
simonmar
bgamari
Trac Issues
#12714
Summary

Fix for Trac 12714: Test T9405 fails on Windows

Test Plan

Testcases T9405W and T9504L

RolandSenn created this revision.Jul 20 2018, 10:46 AM

Reset filemodes back to 644

Please inform me, if these 2 tests can be written with less redundandency. The only difference is in the Makefile: Run the program ./T9405 (Linux) vs .\T9405 (Windows).

Phyx added a comment.Jul 20 2018, 4:16 PM

Thanks for the patch @RolandSenn, however I don't quite get why this fixes the issue in the ticket? Correct me if I'm wrong but the ticket is about the ticky file being empty when the process is aborted.. E.g. a file flushing issue. The slashes in the Makefile should make no difference..

RolandSenn abandoned this revision.Jul 21 2018, 10:18 AM

Uiuii! This is an intermittend problem! I tested under Windows: With backslash it worked, with forward slash it didin't, so I assumed the testcase was wrong. But obviously I didn't test enough!!
Thanks for your kind remarks and sorry for bothering you!

thomie added a comment.EditedAug 11 2018, 5:31 AM

Please inform me, if these 2 tests can be written with less redundandency.

Yes there is a way, see https://ghc.haskell.org/trac/ghc/wiki/Building/RunningTests/Adding#Sampleoutputfiles

Also: please abandon this Differential, if you're no longer working on it.

Edit; nevermind, it's already abandoned.

Phyx added a comment.Aug 11 2018, 5:38 AM

Please inform me, if these 2 tests can be written with less redundandency.

Yes there is a way, see https://ghc.haskell.org/trac/ghc/wiki/Building/RunningTests/Adding#Sampleoutputfiles

This wouldn't have helped him as the difference he had is in the actual input. e.g. ./ vs .\\. He could have used something like a make variable, but the path is normalized anyway.

Also: please abandon this Differential, if you're no longer working on it.

Edit; nevermind, it's already abandoned.